th-env-0.1.1: Template Haskell splices that expand to an environment variable

Safe Haskell | Safe-Inferred
Language | Haskell2010

Language.Haskell.TH.Env

Synopsis

- envQ :: IsString a => String -> SpliceQ (Maybe a)
- envQ' :: IsString a => String -> SpliceQ a

# Documentation

envQ Source #

Arguments

:: IsString a |
=> String | Environment variable name.
-> SpliceQ (Maybe a) |

Produce a typed expression with the current value of an environment variable, or Nothing if it's not set.

envQ' Source #

Arguments

:: IsString a |
=> String | Environment variable name.
-> SpliceQ a |

Produce a typed expression with the current value of an environment variable. Fail if it's not set.